package com.virjar.majora.adr;

import android.app.Activity;
import android.content.Context;
import android.os.Bundle;
import android.view.Gravity;
import android.view.View;
import android.widget.Button;

import com.hjq.permissions.OnPermissionCallback;
import com.hjq.permissions.Permission;
import com.hjq.permissions.XXPermissions;
import com.hjq.xtoast.XToast;
import com.hjq.xtoast.draggable.SpringDraggable;

import java.util.List;

public class MainActivity extends Activity {


    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        Button btn = findViewById(R.id.goSetting);


        btn.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                SettingsActivity.go(MainActivity.this);
            }
        });

        showRatelFloatWindow();
    }


    /**
     * 设置一个应用外悬浮窗，因为安卓10之后对后台启动activity具有限制
     * https://developer.android.com/guide/components/activities/background-starts
     * <p>
     * {@link TheApp#checkFloatPermission(Context) 需要授予悬浮窗权限} (Context)}，
     * {@link TheApp#canBackgroundStart(Context) 或者miui等在设置中给予后台启动Activity权限}
     */
    private void showRatelFloatWindow() {
        XXPermissions.with(this)
                .permission(Permission.SYSTEM_ALERT_WINDOW)
                .request(new OnPermissionCallback() {

                    @Override
                    public void onGranted(List<String> granted, boolean all) {
                        // 传入 Application 表示这个是一个全局的 Toast
                        new XToast<>(TheApp.getApplication())
                                .setView(R.layout.toast_phone)
                                .setGravity(Gravity.END | Gravity.BOTTOM)
                                .setYOffset(200)
                                // 设置指定的拖拽规则
                                .setDraggable(new SpringDraggable())
                                .show();
                    }

                    @Override
                    public void onDenied(List<String> denied, boolean never) {

                    }
                });
    }
}
